<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $woocommerce_loop, $product;
global $classes;
switch ($woocommerce_loop['columns']) {
	case '2':
		$spanCol = 'span6';
		break;
	case '3':
		$spanCol = 'span4';
		break;
	case '6':
		$spanCol = 'span2';
		break;
	default:
		$spanCol = 'span3';
		break;
}

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}
$classes[] = $spanCol;
?>
<li <?php post_class( $classes ); ?>><div class="product-wrap">

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

	<a href="<?php the_permalink(); ?>" class="product-images">

		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>

	</a>

	<div class="product-details">

		<div class="product-details-container">

			<div class="product-rating-container">
				<?php if ( get_option( 'woocommerce_enable_review_rating' ) == 'yes' && $rating_html = $product->get_rating_html() ) : ?>
					<?php echo $rating_html; ?>
				<?php endif; ?>
			</div>
			<h3 class="product-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

			<div class="clearfix">

				<?php
					/**
					 * woocommerce_after_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_template_loop_price - 10
					 */
					do_action( 'woocommerce_after_shop_loop_item_title' );
				?>

			</div>

		</div>

	</div>

	<div class="product-buttons">

		<div class="product-buttons-container clearfix">

			<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>

		</div>

	</div>
</div>
</li>